<!DOCTYPE html>
<html lang="en">

<head>
  <title>UserList</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

  <!-- font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
</head>

<body>
  <div class="container-fluid">
    <h2 class="text-center">Danh sách ảnh album số 3</h2>
    <table id="album-table" class="table table-bordered table-striped table-hover">
      <thead>
        <tr>
          <th>STT</th>
          <th>Album</th>
          <th>Title</th>
          <th>Url ảnh</th>
          <th>Img anh</th>
          <th>Thumbnail</th>
        </tr>
      </thead>
      <tbody>

      </tbody>
    </table>
  </div>
  <script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {
      onPageLoading();
    });

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onPageLoading() {
      requestApiGetAlbumData();
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function requestApiGetAlbumData() {
      $.ajax({
        url: "https://jsonplaceholder.typicode.com/albums/3/photos",
        type: "GET",
        success: function (paramImages) {
          console.log(paramImages)
          loadAlbumDataToTable(paramImages);
        },
        error: function (paramError) {
          console.log(paramError.status);
        }
      });
    }

    function loadAlbumDataToTable(paramImages) {
      var vAlbumTable = $("#album-table");
      for(var bI = 0 ; bI < paramImages.length; bI++) {
        //tạo ra dòng, gán vào table
        var bNewRow = $("<tr>").appendTo(vAlbumTable);
        ///tạo ra từng ô, gán dữ liệu cho ô và gán vào dòng mới tạo ở trên
        $("<td>").html(paramImages[bI].id).appendTo(bNewRow);
        $("<td>").html(paramImages[bI].albumId).appendTo(bNewRow);
        $("<td>").html(paramImages[bI].title).appendTo(bNewRow);
        $("<td>").html(paramImages[bI].url).appendTo(bNewRow);
        $("<td>").html($("<img>").css({ 'height': '150px', 'width': '150px' }).prop("src",paramImages[bI].url)).appendTo(bNewRow);
        $("<td>").html($("<img>").prop("src",paramImages[bI].thumbnailUrl)).appendTo(bNewRow);
      }
    }
  </script>

</body>

</html>